Schema "fpml-credit-event-notification-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 9765 $

Defined Components:

  12 global elements, 12 local elements, 11 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-credit-event-notification-5-5.xsd; see XML source

Includes Schema:

  fpml-msg-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

Annotation
Credit Event Notification message.

All Element Summary
affectedTransactions | Trades affected by this event.
Type: | AffectedTransactions
Content: | complex, 2 elements
Defined: | locally witnin CreditEventNoticeDocument complexType; see XML source
bankruptcy |
Type: | BankruptcyEvent
Content: | empty
Subst.Gr: | may substitute for element creditEvent
Defined: | globally; see XML source
Used: | never
creditEvent |
Type: | CreditEvent
Content: | empty
Abstract: | (may not be used directly in instance XML documents)
Subst.Gr: | may be substituted with 6 elements
Defined: | globally; see XML source
Used: | at 7 locations
creditEventAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 8 elements
Defined: | globally; see XML source
Used: | never
creditEventDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin CreditEventNoticeDocument complexType; see XML source
creditEventException |
Type: | Exception
Content: | complex, 3 attributes, 6 elements
Defined: | globally; see XML source
Used: | never
creditEventNotice | A global element used to hold CENs.
Type: | CreditEventNoticeDocument
Content: | complex, 8 elements
Defined: | globally; see XML source
Used: | never
creditEventNotice (in creditEventNotification) |
Type: | CreditEventNoticeDocument
Content: | complex, 8 elements
Defined: | locally witnin CreditEventNotification complexType; see XML source
creditEventNotice (in creditEventNotificationRetracted) |
Type: | CreditEventNoticeDocument
Content: | complex, 8 elements
Defined: | locally witnin CreditEventNotificationRetracted complexType; see XML source
creditEventNoticeDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin CreditEventNoticeDocument complexType; see XML source
creditEventNotification | A message defining the ISDA defined Credit Event Notice.
Type: | CreditEventNotification
Content: | complex, 3 attributes, 8 elements
Defined: | globally; see XML source
Used: | never
creditEventNotificationRetracted | A message retracting a previous credit event notification.
Type: | CreditEventNotificationRetracted
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
failureToPay |
Type: | FailureToPayEvent
Content: | empty
Subst.Gr: | may substitute for element creditEvent
Defined: | globally; see XML source
Used: | never
notifiedPartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin CreditEventNoticeDocument complexType; see XML source
notifyingPartyReference |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin CreditEventNoticeDocument complexType; see XML source
obligationAcceleration |
Type: | ObligationAccelerationEvent
Content: | empty
Subst.Gr: | may substitute for element creditEvent
Defined: | globally; see XML source
Used: | never
obligationDefault |
Type: | ObligationDefaultEvent
Content: | empty
Subst.Gr: | may substitute for element creditEvent
Defined: | globally; see XML source
Used: | never
partialExerciseAmount |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin RestructuringEvent complexType; see XML source
party (in creditEventNotification) |
Type: | Party
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin CreditEventNotification complexType; see XML source
party (in creditEventNotificationRetracted) |
Type: | Party
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin CreditEventNotificationRetracted complexType; see XML source
publiclyAvailableInformation (defined in CreditEventNoticeDocument complexType) | A public information source, e.g. a particular newspaper or electronic news service, that may publish relevant information used in the determination of whether or not a credit event has occurred.
Type: | Resource
Content: | complex, 12 elements
Defined: | locally witnin CreditEventNoticeDocument complexType; see XML source
referenceEntity (defined in CreditEventNoticeDocument complexType) |
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin CreditEventNoticeDocument complexType; see XML source
repudiationMoratorium |
Type: | RepudiationMoratoriumEvent
Content: | empty
Subst.Gr: | may substitute for element creditEvent
Defined: | globally; see XML source
Used: | never
restructuring |
Type: | RestructuringEvent
Content: | complex, 1 element
Subst.Gr: | may substitute for element creditEvent
Defined: | globally; see XML source
Used: | never

Complex Type Summary
AffectedTransactions |
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | at 1 location
BankruptcyEvent |
Content: | empty
Defined: | globally; see XML source
Used: | at 1 location
CreditEvent |
Content: | empty
Defined: | globally; see XML source
Used: | at 7 locations
CreditEventNoticeDocument | An event type that records the occurrence of a credit event notice.
Content: | complex, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 8 elements
Used: | at 3 locations
CreditEventNotification | A message type defining the ISDA defined Credit Event Notice.
Content: | complex, 3 attributes, 8 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
CreditEventNotificationRetracted | A message type retracting a previous credit event notification.
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FailureToPayEvent |
Content: | empty
Defined: | globally; see XML source
Used: | at 1 location
ObligationAccelerationEvent |
Content: | empty
Defined: | globally; see XML source
Used: | at 1 location
ObligationDefaultEvent |
Content: | empty
Defined: | globally; see XML source
Used: | at 1 location
RepudiationMoratoriumEvent |
Content: | empty
Defined: | globally; see XML source
Used: | at 1 location
RestructuringEvent |
Content: | complex, 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 9765 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <!--IY: ETTF pretrade IRS and CDS--> <xsd:include schemaLocation="fpml-msg-5-5.xsd"/> <xsd:complexType name="AffectedTransactions"> <xsd:group maxOccurs="unbounded" ref="TradeOrTradeReference.model"/> </xsd:complexType> <xsd:complexType name="BankruptcyEvent"> <xsd:complexContent> <xsd:extension base="CreditEvent"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CreditEvent"/> <xsd:complexType name="CreditEventNoticeDocument"> <xsd:annotation> <xsd:documentation xml:lang="en"> An event type that records the occurrence of a credit event notice. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="affectedTransactions" type="AffectedTransactions"> <xsd:annotation> <xsd:documentation xml:lang="en">Trades affected by this event.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"/> <xsd:element minOccurs="0" ref="creditEvent"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="publiclyAvailableInformation" type="Resource"> <xsd:annotation> <xsd:documentation xml:lang="en"> A public information source, e.g. a particular newspaper or electronic news service, that may publish relevant information used in the determination of whether or not a credit event has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="notifyingPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="notifiedPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditEventNoticeDate" type="xsd:date"/> <xsd:element minOccurs="0" name="creditEventDate" type="xsd:date"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CreditEventNotification"> <xsd:annotation> <xsd:documentation xml:lang="en"> A message type defining the ISDA defined Credit Event Notice. ISDA defines it as an irrevocable notice from a Notifying Party to the other party that describes a Credit Event that occurred. A Credit Event Notice must contain detail of the facts relevant to the determination that a Credit Event has occurred. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNoticeDocument"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CreditEventNotificationRetracted"> <xsd:annotation> <xsd:documentation xml:lang="en"> A message type retracting a previous credit event notification. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="creditEventNotice" type="CreditEventNoticeDocument"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FailureToPayEvent"> <xsd:complexContent> <xsd:extension base="CreditEvent"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ObligationAccelerationEvent"> <xsd:complexContent> <xsd:extension base="CreditEvent"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ObligationDefaultEvent"> <xsd:complexContent> <xsd:extension base="CreditEvent"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RepudiationMoratoriumEvent"> <xsd:complexContent> <xsd:extension base="CreditEvent"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RestructuringEvent"> <xsd:complexContent> <xsd:extension base="CreditEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="partialExerciseAmount" type="Money"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="bankruptcy" substitutionGroup="creditEvent" type="BankruptcyEvent"/> <xsd:element abstract="true" name="creditEvent" type="CreditEvent"/> <xsd:element name="creditEventNotice" type="CreditEventNoticeDocument"> <xsd:annotation> <xsd:documentation xml:lang="en">A global element used to hold CENs.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="failureToPay" substitutionGroup="creditEvent" type="FailureToPayEvent"/> <xsd:element name="obligationAcceleration" substitutionGroup="creditEvent" type="ObligationAccelerationEvent"/> <xsd:element name="obligationDefault" substitutionGroup="creditEvent" type="ObligationDefaultEvent"/> <xsd:element name="repudiationMoratorium" substitutionGroup="creditEvent" type="RepudiationMoratoriumEvent"/> <xsd:element name="restructuring" substitutionGroup="creditEvent" type="RestructuringEvent"/> <xsd:annotation> <xsd:documentation xml:lang="en">Credit Event Notification message.</xsd:documentation> </xsd:annotation> <xsd:element name="creditEventNotification" type="CreditEventNotification"> <xsd:annotation> <xsd:documentation xml:lang="en"> A message defining the ISDA defined Credit Event Notice. ISDA defines it as an irrevocable notice from a Notifying Party to the other party that describes a Credit Event that occurred. A Credit Event Notice must contain detail of the facts relevant to the determination that a Credit Event has occurred. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="creditEventNotificationRetracted" type="CreditEventNotificationRetracted"> <xsd:annotation> <xsd:documentation xml:lang="en"> A message retracting a previous credit event notification. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="creditEventAcknowledgement" type="Acknowledgement"/> <xsd:element name="creditEventException" type="Exception"/> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.